# class Coffee::Rails::TemplateHandler

### Public Class Methods

call(template) click to toggle source

    # File lib/coffee/rails/template_handler.rb, line 8
    def self.call(template)
      compiled_source = erb_handler.call(template)
      "CoffeeScript.compile(begin;#{compiled_source};end)"
    end

erb_handler() click to toggle source

    # File lib/coffee/rails/template_handler.rb, line 4
    def self.erb_handler
      @@erb_handler ||= ActionView::Template.registered_template_handler(:erb)
    end